default_install &&

# decompress cracklib's own wordlist file here
gzip -cd $SOURCE_CACHE/$SOURCE2 > ${SOURCE2%.gz} &&

# download popular wordlist
message "${MESSAGE_COLOR}If this download doesn't succeed, the spell will *not* fail${DEFAULT_COLOR}" &&
if wget http://www.cotse.com/wordlists/allwords         \
     --referer=http://www.cotse.com/tools/wordlists.htm \
     --output-document=allwords
then
  ALLWORDS=allwords
fi &&

message "${MESSAGE_COLOR}Cracklib dictionary database is being created...${DEFAULT_COLOR}" &&
./util/create-cracklib-dict $ALLWORDS ${SOURCE2%.gz}  &&

#
# Readd my shadow fix, please don't remove it again!
#
mkdir  -p  $INSTALL_ROOT/var/cache/cracklib                   &&
ln  -sfn  $TRACK_ROOT/usr/lib/cracklib/pw_dict.pwi            \
          $INSTALL_ROOT/var/cache/cracklib/cracklib_dict.pwi  && 
ln  -sfn  $TRACK_ROOT/usr/lib/cracklib/pw_dict.pwd            \
          $INSTALL_ROOT/var/cache/cracklib/cracklib_dict.pwd
